#ifndef HANDLERLOGIN_H
#define HANDLERLOGIN_H
#include <vector>
#include "handler.h"

class HandlerLogin : public Handler
{
  private:
	bool isBanned(std::string ip);
	void incFailureCount(std::string ip);
	std::vector<char> pbkdf5(std::string password, const std::vector<char> &salt);

  public:
	HandlerLogin();
	Response handleRequest(const Request &r) override;
	~HandlerLogin() override
	{
	}
	bool canAccess(const Permissions &perms) override;
	using Handler::Handler;
};

#endif // HANDERLOGIN_H
